package com.persagy.adm.server.delivery.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.persagy.adm.server.delivery.entity.BossProjectDeliveryPlan;
import com.persagy.adm.server.delivery.entity.BossSkuDictRel;
import com.persagy.dmp.delivery.entity.ObjectInfoCollect;

import java.util.List;

/**
 * BOSS项目交付计划
 * @author:linhuili
 * @date:2022/1/22
 */
public interface BossProjectDeliveryPlanService {
    /**
     * 条件查询BOSS交付计划
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<BossProjectDeliveryPlan> queryByCondition(Wrapper<BossProjectDeliveryPlan> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<BossProjectDeliveryPlan> insert(List<BossProjectDeliveryPlan> voList);
}
